This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265153 - [abrt] PackageKit: solv_free(): packagekitd killed by SIGSEGV
[abrt] PackageKit: solv_free(): packagekitd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3d258f9dd46c4660c564ab983f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 04:46 EDT by Christian Kirbach
Modified: 2016-07-19 13:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.21 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: cgroup (200 bytes, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: core_backtrace (12.03 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: dso_list (8.36 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: environ (120 bytes, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: maps (39.01 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: mountinfo (3.46 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: open_fds (7.65 KB, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: proc_pid_status (982 bytes, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-22 04:46 EDT, Christian Kirbach
no flags Details

  None (edit)
Description Christian Kirbach 2015-09-22 04:46:33 EDT
Version-Release number of selected component:
PackageKit-1.0.6-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: solv_free
executable:     /usr/libexec/packagekitd
global_pid:     1683
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 solv_free at /usr/src/debug/libsolv-2db517f87a8c0364d28c0fa2590ba034e866a4b8/src/util.c:83
 #3 repodata_freedata at /usr/src/debug/libsolv-2db517f87a8c0364d28c0fa2590ba034e866a4b8/src/repodata.c:75
 #4 repo_freedata at /usr/src/debug/libsolv-2db517f87a8c0364d28c0fa2590ba034e866a4b8/src/repo.c:68
 #5 pool_freeallrepos at /usr/src/debug/libsolv-2db517f87a8c0364d28c0fa2590ba034e866a4b8/src/pool.c:136
 #6 pool_free at /usr/src/debug/libsolv-2db517f87a8c0364d28c0fa2590ba034e866a4b8/src/pool.c:107
 #7 hy_sack_free at /usr/src/debug/hawkey-0.5.9/py3/src/sack.c:698
 #8 hif_sack_cache_item_free at pk-backend-hif.c:146
 #9 g_hash_table_remove_internal at ghash.c:1357
 #10 hif_utils_create_sack_for_filters at pk-backend-hif.c:633
 #11 pk_backend_search_thread at pk-backend-hif.c:909
Comment 1 Christian Kirbach 2015-09-22 04:46:38 EDT
Created attachment 1075730 [details]
File: backtrace
Comment 2 Christian Kirbach 2015-09-22 04:46:39 EDT
Created attachment 1075731 [details]
File: cgroup
Comment 3 Christian Kirbach 2015-09-22 04:46:41 EDT
Created attachment 1075732 [details]
File: core_backtrace
Comment 4 Christian Kirbach 2015-09-22 04:46:42 EDT
Created attachment 1075733 [details]
File: dso_list
Comment 5 Christian Kirbach 2015-09-22 04:46:43 EDT
Created attachment 1075734 [details]
File: environ
Comment 6 Christian Kirbach 2015-09-22 04:46:45 EDT
Created attachment 1075735 [details]
File: limits
Comment 7 Christian Kirbach 2015-09-22 04:46:46 EDT
Created attachment 1075736 [details]
File: maps
Comment 8 Christian Kirbach 2015-09-22 04:46:48 EDT
Created attachment 1075737 [details]
File: mountinfo
Comment 9 Christian Kirbach 2015-09-22 04:46:49 EDT
Created attachment 1075738 [details]
File: namespaces
Comment 10 Christian Kirbach 2015-09-22 04:46:50 EDT
Created attachment 1075739 [details]
File: open_fds
Comment 11 Christian Kirbach 2015-09-22 04:46:52 EDT
Created attachment 1075740 [details]
File: proc_pid_status
Comment 12 Christian Kirbach 2015-09-22 04:46:53 EDT
Created attachment 1075741 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 13:59:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.